library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;

entity tbcalcolo is
end tbcalcolo;

architecture tbb of tbcalcolo is 
component operazioni is
	port ( din: in std_logic_vector(15 downto 0);
		   clk, start: in std_logic;
		   ris: out std_logic_vector(15 downto 0);
		   fine: out std_logic);
end component;

signal din, ris:  std_logic_vector(15 downto 0);
signal clk, start,fine:  std_logic;
begin
	d: operazioni port map (din,clk,start,ris,fine);
	
	process
	begin
		clk <= '0';
		wait for 10 ns;
		clk <= '1';
		wait for 10 ns;
	end process;
	
	start <= '1' after 1 ns, '0' after 21 ns;
	--'1' after 81 ns, '0' after 101 ns;	
	din <= conv_std_logic_vector(3,16) after 21 ns,
			conv_std_logic_vector(45,16) after 41 ns,
			conv_std_logic_vector(24,16) after 61 ns;
end tbb;